=== mcs/class/Microsoft.CSharp/Makefile ===
thisdir = class/Microsoft.CSharp
SUBDIRS = 
include ../../build/rules.make

LIBRARY = Microsoft.CSharp.dll

LIB_MCS_FLAGS = -r:System.Core.dll -r:dmcs.exe

include ../../build/library.make
