=== mcs/class/OpenSystem.C/Makefile ===
thisdir = class/OpenSystem.C
SUBDIRS = 
include ../../build/rules.make

LIBRARY = OpenSystem.C.dll
NO_TEST = yes

include ../../build/library.make
