=== debian/changelog ===
moon (2.3-0ubuntu5) natty; urgency=low

  * Fix LP: #538796 - cannot open Firefox/Chromium/Chrome when moonlight
    is installed, due to a symbol collision with the icedtea plugin. Thanks
    to Evan Martin and Chris Toshok for figuring this out
    - add debian/patches/avoid_icedtea_symbol_collision.patch
    - update debian/patches/series
  * Fix build with xulrunner 2.0
    - add debian/patches/xulrunner_20.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 31 Jan 2011 16:04:45 +0000

moon (2.3-0ubuntu4) maverick; urgency=low

  * ARM development made possible by Genesi USA
  * add_arm_to_firefox-xpi.m4.patch:
    + For reasons best known to themselves, Mozilla don't define a 
      plugin ABI for several platforms, including ARM. This patch 
      tweaks the build system not to fail on ARM, by setting the 
      bogus Linux_unknownABI ABI on ARM, rather than bailing out.
      (LP: #635406)
  * realign_nocodec_API_with_codec_API.patch:
    + Import upstream git commit 66993b158727585e889d, which fixes 
      the build on architectures without official binary codecs 
      available (such as ARM and PowerPC).

 -- Jo Shields <directhex@apebox.org>  Mon, 04 Oct 2010 20:58:14 +0100

moon (2.3-0ubuntu3) maverick; urgency=low

  * Fix the check for GC_test_and_set and GC_clear on armel. The sync
    primitives are backported to the gcc-4.4 package. Fixes the
    build failure on armel in thumb mode. LP: #635406.
  * Apply arm related patches from the mono package.
  * Configure with --build= --host=.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2010 18:30:15 +0200

moon (2.3-0ubuntu2) maverick; urgency=low

  * mono-2.6/libgc/include/private/gc_locks.h: For __ARM_EABI__ define
    GC_test_and_set and GC_clear to use the atomic builtins.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2010 14:30:56 +0200

moon (2.3-0ubuntu1) maverick; urgency=low

  * New upstream release
  * The "Ubuntu UK Podcast" release
  * debian/control,
    debian/rules:
    + Build-depend on chromium-browser
    + Build against libcurl, for Chromium bridge
  * debian/patches/include_config.h_in_all_files.patch:
    + Force inclusion of config.h where it isn't currently included, to
      ensure that important values such as object sizes are consistent.
      This ensures that the Chromium bridge doesn't break when built with
      -Bsymbolic-functions
  * debian/patches/use_AC_PATH_PROGS_to_satisfy_chromium_search.patch:
    + Use AC_PATH_PROGS, not multiple calls to AC_PATH_PROG, to search
      for a chromium binary, otherwise a cached "no" is used despite
      /usr/bin/chromium-browser existing
  * debian/rules:
    + Use --with-ff3 not --with-ff36, as the Xulrunner bridge is now 
      cross-version.

 -- Jo Shields <directhex@apebox.org>  Fri, 09 Jul 2010 07:34:51 +0100
