=== debian/control ===
Source: moon
Section: web
Priority: optional
Maintainer: Moonlight packaging team <moonlight-team@lists.launchpad.net>
Uploaders: Jo Shields <directhex@apebox.org>
Homepage: http://www.mono-project.com/Moonlight
Vcs-Bzr: https://code.launchpad.net/~moonlight-team/+junk/master
Vcs-Browser: http://bazaar.launchpad.net/~moonlight-team/+junk/master/files
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~), 
 xulrunner-dev (>= 1.9.2),
 libavcodec-dev, 
 cli-common-dev,
 libgtk2.0-dev, 
 libasound2-dev, 
 chrpath, 
 bison,
 zip,
 autoconf,
 automake,
 libtool,
 lsb-release, 
 libpulse-dev, 
 libcairo2-dev (>= 1.8),
 autoconf,
 automake,
 autotools-dev,
 libcurl4-gnutls-dev,
 libgtk2.0-cil-dev,
 libglade2.0-cil-dev,
 libglib2.0-cil-dev,
 libwnck1.0-cil-dev,
 libmono-cil-dev,
 libtool

Package: moonlight-plugin-core
Architecture: i386 lpia kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: moonlight
Description: Free Software clone of Silverlight 2.0 - plugin core components
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains the core plugin components (for any browser)

Package: moonlight-plugin-mozilla
Architecture: i386 lpia kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390
Depends: ${shlibs:Depends}, moonlight-plugin-core (= ${binary:Version}), ${misc:Depends}
Recommends: firefox | abrowser | iceweasel | xulrunner-1.9.2
Conflicts: moonlight
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384,92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a,aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-MimeType: application/x-silverlight,application/x-silverlight-2
Xb-Npp-Name: Novell Moonlight
Xb-Npp-File: libmoonloader.so
Xb-Npp-Description: Browser plugin for Silverlight 2.0 (http://www.mono-project.com/Moonlight)
Description: Free Software clone of Silverlight 2.0 - Xulrunner 1.9 plugin
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains the Xulrunner 1.9 plugin bridge, for full use with
 Xulrunner 1.9 browsers such as Firefox/Iceweasel 3, Epiphany-Gecko, HulaHop, 
 and others.

Package: moonlight-plugin-chromium
Architecture: i386 lpia kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390
Depends: ${shlibs:Depends}, moonlight-plugin-core (= ${binary:Version}), ${misc:Depends}
Recommends: chromium-browser
Conflicts: moonlight
Description: Free Software clone of Silverlight 2.0 - Chromium plugin
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains the Curl plugin bridge, for full use with the Chromium
 web browser.

Package: libmoon
Section: libs
Architecture: i386 lpia kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free Software clone of Silverlight 2.0 - unstable runtime library
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains required runtime files.

Package: monodoc-moonlight-manual
Section: libs
Architecture: all
Depends: monodoc-manual, ${misc:Depends}
Description: Free Software clone of Silverlight - desktop library documentation
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains the compiled XML documentation for Moonlight.Gtk
 of MonoDoc.

Package: libmoonlight-windows-desktop3.0-cil
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Moonlight Moon.Windows.Desktop library
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains the Moon.Windows.Desktop assembly.

Package: libmoonlight-gtk3.0-cil
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Moonlight.Gtk library
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains the Moonlight.Gtk assembly, for integrating Moonlight
 content into GTK# applications.

Package: libmoonlight-system-windows3.0-cil
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Moonlight System.Windows libraries
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains the System.Windows assemblies.

Package: libmoonlight-system-windows-controls2.0-cil
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Moonlight System.Windows.Controls libraries
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains the System.Windows.Controls assemblies.

Package: libmoonlight-desktop2.0-cil-dev
Architecture: all
Depends: 
 libmoonlight-system-windows-controls2.0-cil (= ${binary:Version}), 
 libmoonlight-system-windows3.0-cil (= ${binary:Version}), 
 libmoonlight-gtk3.0-cil (= ${binary:Version}),
 libmoonlight-windows-desktop3.0-cil (= ${binary:Version}),
 libgtk2.0-cil-dev,
 ${misc:Depends}
Suggests: monodoc-moonlight-manual
Description: Moonlight SDK for desktop apps
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains development files for writing desktop applications 
 with Moonlight, and should be used for compilation.

Package: moonlight-tools
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Various tools for Moonlight SDK
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains development tools for Moonlight.

Package: moonlight-web-devel
Architecture: i386 lpia kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: moonlight-tools
Description: Moonlight SDK for web apps
 Moonlight is a free Silverlight clone, allowing Free Software systems to
 run embedded web-browser objects or standalone code targetting Microsoft
 Silverlight.
 .
 About Microsoft Silverlight
 Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
 plug-in for delivering the next generation of .NET based media experiences
 and rich interactive applications for the Web.
 .
 This package contains development files for writing web content with 
 Moonlight, and should be used for compilation.
